Index: /issm/trunk-jpl/externalpackages/gdal/install-3-netcdf.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3-netcdf.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/gdal/install-3-netcdf.sh	(revision 25199)
@@ -0,0 +1,50 @@
+#!/bin/bash
+set -eu
+
+
+# Constants
+#
+VER="3.1.1"
+
+HDF5_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
+NETCDF_ROOT="${ISSM_DIR}/externalpackages/netcdf/install"
+PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
+ZLIB_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
+
+## Environment
+#
+export PREFIX="${ISSM_DIR}/externalpackages/gdal/install" # Need this to properly set destination root for Python libraries on macOS (should not affect Linux build; do not need for this configuration, but including it for consistency)
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gdal-$VER.tar.gz
+
+# Move source into 'src' directory
+mv gdal-$VER/* src
+rm -rf gdal-$VER
+
+# Configure
+cd src
+./configure \
+	--prefix="${PREFIX}" \
+	--enable-fast-install \
+	--disable-all-optional-drivers \
+	--with-libz="${ZLIB_ROOT}" \
+	--with-hdf5="${HDF5_ROOT}" \
+	--with-netcdf="${NETCDF_ROOT}" \
+	--with-proj="${PROJ_ROOT}"
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/externalpackages/gdal/install-3-python-netcdf-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3-python-netcdf-static.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/gdal/install-3-python-netcdf-static.sh	(revision 25199)
@@ -0,0 +1,63 @@
+#!/bin/bash
+set -eu
+
+
+## TODO
+#	- May want to supply path to Python instead of, effectively, using result of `which python`
+#
+
+## Constants
+#
+VER="3.1.1"
+
+HDF5_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
+NETCDF_ROOT="${ISSM_DIR}/externalpackages/netcdf/install"
+PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
+ZLIB_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
+
+## Environment
+#
+export CC=mpicc
+export CXX=mpicxx
+export LDFLAGS="-L${HDF5_ROOT}/lib" # Need to do this so HDF5 symbols referenced in NETCDF library are found at link time
+export LIBS="-lhdf5_hl -lhdf5" # Need to do this so HDF5 symbols referenced in NETCDF library are found at link time
+export PREFIX="${ISSM_DIR}/externalpackages/gdal/install" # Need this to properly set destination root for Python libraries on macOS (should not affect Linux build; do not need for this configuration, but including it for consistency)
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gdal-$VER.tar.gz
+
+# Move source into 'src' directory
+mv gdal-$VER/* src
+rm -rf gdal-$VER
+
+# Configure
+cd src
+./configure \
+	--prefix="${PREFIX}" \
+	--enable-fast-install \
+	--disable-all-optional-drivers \
+	--disable-shared \
+	--without-ld-shared \
+	--enable-static \
+	--with-pic \
+	--with-python \
+	--with-libz="${ZLIB_ROOT}" \
+	--with-hdf5="${HDF5_ROOT}" \
+	--with-netcdf="${NETCDF_ROOT}" \
+	--with-proj="${PROJ_ROOT}"
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/externalpackages/gdal/install-3-python-netcdf.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3-python-netcdf.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/gdal/install-3-python-netcdf.sh	(revision 25199)
@@ -0,0 +1,55 @@
+#!/bin/bash
+set -eu
+
+
+## TODO
+#	- May want to supply path to Python instead of, effectively, using result of `which python`
+#
+
+## Constants
+#
+VER="3.1.1"
+
+HDF5_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
+NETCDF_ROOT="${ISSM_DIR}/externalpackages/netcdf/install"
+PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
+ZLIB_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
+
+## Environment
+#
+export PREFIX="${ISSM_DIR}/externalpackages/gdal/install" # Need this to properly set destination root for Python libraries on macOS (should not affect Linux build)
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gdal-$VER.tar.gz
+
+# Move source into 'src' directory
+mv gdal-$VER/* src
+rm -rf gdal-$VER
+
+# Configure
+cd src
+./configure \
+	--prefix="${PREFIX}" \
+	--enable-fast-install \
+	--disable-all-optional-drivers \
+	--with-python \
+	--with-libz="${ZLIB_ROOT}" \
+	--with-hdf5="${HDF5_ROOT}" \
+	--with-netcdf="${NETCDF_ROOT}" \
+	--with-proj="${PROJ_ROOT}"
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/externalpackages/gdal/install-3-python.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3-python.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/gdal/install-3-python.sh	(revision 25199)
@@ -0,0 +1,51 @@
+#!/bin/bash
+set -eu
+
+
+## TODO
+#	- May want to supply path to Python instead of, effectively, using result of `which python`
+#
+
+## Constants
+#
+VER="3.1.1"
+
+PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
+
+## Environment
+#
+export PREFIX="${ISSM_DIR}/externalpackages/gdal/install" # Need this to properly set destination root for Python libraries on macOS (should not affect Linux build)
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gdal-$VER.tar.gz
+
+# Move source into 'src' directory
+mv gdal-$VER/* src
+rm -rf gdal-$VER
+
+# Configure
+cd src
+./configure \
+	--prefix="${PREFIX}" \
+	--enable-fast-install \
+	--disable-all-optional-drivers \
+	--with-python \
+	--without-hdf5 \
+	--without-netcdf \
+	--with-proj="${PROJ_ROOT}"
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: sm/trunk-jpl/externalpackages/gdal/install-3.0-netcdf.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3.0-netcdf.sh	(revision 25198)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-# Constants
-#
-VER="3.0.2"
-HDF5_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
-NETCDF_ROOT="${ISSM_DIR}/externalpackages/netcdf/install"
-PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
-ZLIB_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gdal-$VER.tar.gz
-
-# Move source into 'src' directory
-mv gdal-$VER/* src
-rm -rf gdal-$VER
-
-# Configure
-cd src
-./configure \
-	--prefix="${ISSM_DIR}/externalpackages/gdal/install" \
-	--with-libz="${ZLIB_ROOT}" \
-	--with-hdf5="${HDF5_ROOT}" \
-	--with-netcdf="${NETCDF_ROOT}" \
-	--with-proj="${PROJ_ROOT}"
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: sm/trunk-jpl/externalpackages/gdal/install-3.0-python-netcdf-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3.0-python-netcdf-static.sh	(revision 25198)
+++ 	(revision )
@@ -1,61 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## TODO
-#	- May want to supply path to Python instead of, effectively, using result of `which python`
-#
-
-## Constants
-#
-VER="3.0.2"
-
-HDF5_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
-NETCDF_ROOT="${ISSM_DIR}/externalpackages/netcdf/install"
-PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
-ZLIB_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
-
-## Environment
-#
-export CC=mpicc
-export CXX=mpicxx
-export LDFLAGS="-L${HDF5_ROOT}/lib" # Need to do this so HDF5 symbols referenced in NETCDF library are found at link time
-export LIBS="-lhdf5_hl -lhdf5" # Need to do this so HDF5 symbols referenced in NETCDF library are found at link time
-
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gdal-$VER.tar.gz
-
-# Move source into 'src' directory
-mv gdal-$VER/* src
-rm -rf gdal-$VER
-
-# Configure
-cd src
-./configure \
-	--prefix="${ISSM_DIR}/externalpackages/gdal/install" \
-	--disable-shared \
-	--without-ld-shared \
-	--enable-static \
-	--with-pic \
-	--with-python \
-	--with-libz="${ZLIB_ROOT}" \
-	--with-hdf5="${HDF5_ROOT}" \
-	--with-netcdf="${NETCDF_ROOT}" \
-	--with-proj="${PROJ_ROOT}"
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: sm/trunk-jpl/externalpackages/gdal/install-3.0-python-netcdf.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3.0-python-netcdf.sh	(revision 25198)
+++ 	(revision )
@@ -1,49 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## TODO
-#	- May want to supply path to Python instead of, effectively, using result of `which python`
-#
-
-## Constants
-#
-VER="3.0.2"
-
-HDF5_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
-NETCDF_ROOT="${ISSM_DIR}/externalpackages/netcdf/install"
-PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
-ZLIB_ROOT="${ISSM_DIR}/externalpackages/petsc/install"
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gdal-$VER.tar.gz
-
-# Move source into 'src' directory
-mv gdal-$VER/* src
-rm -rf gdal-$VER
-
-# Configure
-cd src
-./configure \
-	--prefix="${ISSM_DIR}/externalpackages/gdal/install" \
-	--with-python \
-	--with-libz="${ZLIB_ROOT}" \
-	--with-hdf5="${HDF5_ROOT}" \
-	--with-netcdf="${NETCDF_ROOT}" \
-	--with-proj="${PROJ_ROOT}"
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: sm/trunk-jpl/externalpackages/gdal/install-3.0-python.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3.0-python.sh	(revision 25198)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## TODO
-#	- May want to supply path to Python instead of, effectively, using result of `which python`
-#
-
-## Constants
-#
-VER="3.0.2"
-PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gdal-$VER.tar.gz
-
-# Move source into 'src' directory
-mv gdal-$VER/* src
-rm -rf gdal-$VER
-
-# Configure
-cd src
-./configure \
-	--prefix="${ISSM_DIR}/externalpackages/gdal/install" \
-	--with-python \
-	--without-hdf5 \
-	--without-netcdf \
-	--with-proj="${PROJ_ROOT}"
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: sm/trunk-jpl/externalpackages/gdal/install-3.0.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3.0.sh	(revision 25198)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-# Constants
-#
-VER="3.0.2"
-PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gdal-${VER}.tar.gz
-
-# Move source into 'src' directory
-mv gdal-$VER/* src
-rm -rf gdal-$VER
-
-# Configure
-cd src
-./configure \
-	--prefix="${ISSM_DIR}/externalpackages/gdal/install" \
-	--without-hdf5 \
-	--without-netcdf \
-	--with-proj="${PROJ_ROOT}"
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
-
-# Return to initial directory
-cd ..
Index: /issm/trunk-jpl/externalpackages/gdal/install-3.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gdal/install-3.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/gdal/install-3.sh	(revision 25199)
@@ -0,0 +1,49 @@
+#!/bin/bash
+set -eu
+
+
+# Constants
+#
+VER="3.1.1"
+
+PROJ_ROOT="${ISSM_DIR}/externalpackages/proj/install"
+
+## Environment
+#
+export PREFIX="${ISSM_DIR}/externalpackages/gdal/install" # Need this to properly set destination root for Python libraries on macOS (should not affect Linux build; do not need for this configuration, but including it for consistency)
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "http://issm.jpl.nasa.gov/files/externalpackages/gdal-${VER}.tar.gz" "gdal-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gdal-${VER}.tar.gz
+
+# Move source into 'src' directory
+mv gdal-$VER/* src
+rm -rf gdal-$VER
+
+# Configure
+cd src
+./configure \
+	--prefix="${PREFIX}" \
+	--enable-fast-install \
+	--disable-all-optional-drivers \
+	--without-hdf5 \
+	--without-netcdf \
+	--with-proj="${PROJ_ROOT}"
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
+
+# Return to initial directory
+cd ..
Index: sm/trunk-jpl/externalpackages/petsc/install-3.11-linux-solid_earth.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.11-linux-solid_earth.sh	(revision 25198)
+++ 	(revision )
@@ -1,44 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="3.11.3"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf petsc-${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source to 'src' directory
-mv petsc-${VER}/* src/
-rm -rf petsc-${VER}
-
-# Configure
-cd src
-./config/configure.py \
-	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
-	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
-	--with-debugging=0 \
-	--with-valgrind=0 \
-	--with-x=0 \
-	--with-ssl=0 \
-	--with-pic=1 \
-	--download-fblaslapack=1 \
-	--download-mpich=1 \
-	--download-metis=1 \
-	--download-parmetis=1 \
-	--download-scalapack=1 \
-	--download-mumps=1 \
-	--download-zlib=1 \
-	--download-hdf5=1
-
-# Compile and install
-make
-make install
Index: sm/trunk-jpl/externalpackages/petsc/install-3.11-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.11-linux-static.sh	(revision 25198)
+++ 	(revision )
@@ -1,52 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="3.11.3"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf petsc-${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source to 'src' directory
-mv petsc-${VER}/* src/
-rm -rf petsc-${VER}
-
-# Configure
-#
-# NOTE: Cannot use --with-fpic option when compiling static libs,
-#
-#		Cannot determine compiler PIC flags if shared libraries is turned off
-#		Either run using --with-shared-libraries or --with-pic=0 and supply the
-#		compiler PIC flag via CFLAGS, CXXXFLAGS, and FCFLAGS
-#
-cd src
-./config/configure.py \
-	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
-	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
-	--with-shared-libraries=0 \
-	--CFLAGS="-fPIC" \
-	--CXXFLAGS="-fPIC" \
-	--FFLAGS="-fPIC" \
-	--with-debugging=0 \
-	--with-valgrind=0 \
-	--with-x=0 \
-	--with-ssl=0 \
-	--download-fblaslapack=1 \
-	--download-mpich=1 \
-	--download-metis=1 \
-	--download-parmetis=1 \
-	--download-scalapack=1 \
-	--download-mumps=1
-
-# Compile and install
-make
-make install
Index: sm/trunk-jpl/externalpackages/petsc/install-3.11-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.11-linux.sh	(revision 25198)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="3.11.3"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf petsc-${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source to 'src' directory
-mv petsc-${VER}/* src/
-rm -rf petsc-${VER}
-
-# Configure
-cd src
-./config/configure.py \
-	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
-	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
-	--with-debugging=0 \
-	--with-valgrind=0 \
-	--with-x=0 \
-	--with-ssl=0 \
-	--with-pic=1 \
-	--download-fblaslapack=1 \
-	--download-mpich=1 \
-	--download-metis=1 \
-	--download-parmetis=1 \
-	--download-scalapack=1 \
-	--download-mumps=1
-
-# Compile and install
-make
-make install
Index: sm/trunk-jpl/externalpackages/petsc/install-3.11-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.11-mac-static.sh	(revision 25198)
+++ 	(revision )
@@ -1,52 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="3.11.3"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf petsc-${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source to 'src' directory
-mv petsc-${VER}/* src/
-rm -rf petsc-${VER}
-
-# Configure
-#
-# NOTE: Cannot use --with-fpic option when compiling static libs,
-#
-#		Cannot determine compiler PIC flags if shared libraries is turned off
-#		Either run using --with-shared-libraries or --with-pic=0 and supply the
-#		compiler PIC flag via CFLAGS, CXXXFLAGS, and FCFLAGS
-#
-cd src
-./config/configure.py \
-	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
-	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
-	--with-shared-libraries=0 \
-	--CFLAGS="-fPIC" \
-	--CXXFLAGS="-fPIC" \
-	--FFLAGS="-fPIC" \
-	--with-debugging=0 \
-	--with-valgrind=0 \
-	--with-x=0 \
-	--with-ssl=0 \
-	--download-fblaslapack=1 \
-	--download-mpich=1 \
-	--download-metis=1 \
-	--download-parmetis=1 \
-	--download-scalapack=1 \
-	--download-mumps=1
-
-# Compile and install
-make
-make install
Index: sm/trunk-jpl/externalpackages/petsc/install-3.11-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.11-mac.sh	(revision 25198)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="3.11.3"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf petsc-${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source to 'src' directory
-mv petsc-${VER}/* src/
-rm -rf petsc-${VER}
-
-# Configure
-cd src
-./config/configure.py \
-	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
-	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
-	--with-debugging=0 \
-	--with-valgrind=0 \
-	--with-x=0 \
-	--with-ssl=0 \
-	--with-pic=1 \
-	--download-fblaslapack=1 \
-	--download-mpich=1 \
-	--download-metis=1 \
-	--download-parmetis=1 \
-	--download-scalapack=1 \
-	--download-mumps=1
-
-# Compile and install
-make
-make install
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-solid_earth-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-solid_earth-static.sh	(revision 25198)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-solid_earth-static.sh	(revision 25199)
@@ -2,4 +2,10 @@
 set -eu
 
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
 
 ## Constants
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-solid_earth.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-solid_earth.sh	(revision 25198)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-solid_earth.sh	(revision 25199)
@@ -2,4 +2,10 @@
 set -eu
 
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
 
 ## Constants
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-static.sh	(revision 25198)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux-static.sh	(revision 25199)
@@ -2,4 +2,10 @@
 set -eu
 
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
 
 ## Constants
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux.sh	(revision 25198)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-linux.sh	(revision 25199)
@@ -2,4 +2,10 @@
 set -eu
 
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
 
 ## Constants
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-solid_earth-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-solid_earth-static.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-solid_earth-static.sh	(revision 25199)
@@ -0,0 +1,60 @@
+#!/bin/bash
+set -eu
+
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
+
+## Constants
+#
+VER="3.12.3"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf petsc-${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source to 'src' directory
+mv petsc-${VER}/* src/
+rm -rf petsc-${VER}
+
+# Configure
+#
+# NOTE: Cannot use --with-fpic option when compiling static libs,
+#
+#		Cannot determine compiler PIC flags if shared libraries is turned off
+#		Either run using --with-shared-libraries or --with-pic=0 and supply the
+#		compiler PIC flag via CFLAGS, CXXXFLAGS, and FCFLAGS
+#
+cd src
+./config/configure.py \
+	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
+	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
+	--with-shared-libraries=0 \
+	--CFLAGS="-fPIC" \
+	--CXXFLAGS="-fPIC" \
+	--FFLAGS="-fPIC -static-libgfortran" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-x=0 \
+	--with-ssl=0 \
+	--download-fblaslapack=1 \
+	--download-mpich=1 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-scalapack=1 \
+	--download-mumps=1 \
+	--download-zlib=1 \
+	--download-hdf5=1
+
+# Compile and install
+make
+make install
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-solid_earth.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-solid_earth.sh	(revision 25199)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-solid_earth.sh	(revision 25199)
@@ -0,0 +1,50 @@
+#!/bin/bash
+set -eu
+
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
+
+## Constants
+#
+VER="3.12.3"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf petsc-${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source to 'src' directory
+mv petsc-${VER}/* src/
+rm -rf petsc-${VER}
+
+# Configure
+cd src
+./config/configure.py \
+	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
+	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-x=0 \
+	--with-ssl=0 \
+	--with-pic=1 \
+	--download-fblaslapack=1 \
+	--download-mpich=1 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-scalapack=1 \
+	--download-mumps=1 \
+	--download-zlib=1 \
+	--download-hdf5=1
+
+# Compile and install
+make
+make install
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-static.sh	(revision 25198)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac-static.sh	(revision 25199)
@@ -2,4 +2,10 @@
 set -eu
 
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
 
 ## Constants
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac.sh	(revision 25198)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.12-mac.sh	(revision 25199)
@@ -2,4 +2,10 @@
 set -eu
 
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
 
 ## Constants
